diff --git a/src/providers/ldap/sdap_sudo.c b/src/providers/ldap/sdap_sudo.c
index 6809f74..2d0cb9f 100644
--- a/src/providers/ldap/sdap_sudo.c
+++ b/src/providers/ldap/sdap_sudo.c
@@ -166,7 +166,7 @@ int sdap_sudo_init(struct be_ctx *be_ctx,
         if (ret != EOK) {
              DEBUG(SSSDBG_OP_FAILURE,
                    "Unable to setup periodical refresh"
-                    "of sudo rules [%d]: %s\n", ret, strerror(ret));
+                    "of sudo rules [%d]: %s\n", ret, sss_strerror(ret));
              /* periodical updates will not work, but specific-rule update
               * is no affected by this, therefore we don't have to fail here */
         }
@@ -189,8 +189,10 @@ static void sdap_sudo_get_hostinfo_done(struct tevent_req *req)
     ret = sdap_sudo_get_hostinfo_recv(sudo_ctx, req, &hostnames, &ip_addr);
     talloc_zfree(req);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, "Unable to retrieve host information - "
-              "(host filter will be disabled) [%d]: %s\n", ret, strerror(ret));
+        DEBUG(SSSDBG_CRIT_FAILURE,
+              "Unable to retrieve host information - "
+              "(host filter will be disabled) [%d]: %s\n",
+              ret, sss_strerror(ret));
         sudo_ctx->use_host_filter = false;
     }
 
@@ -202,8 +204,9 @@ static void sdap_sudo_get_hostinfo_done(struct tevent_req *req)
 
     ret = sdap_sudo_setup_periodical_refresh(sudo_ctx);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, "Unable to setup periodical refresh"
-                                  "of sudo rules [%d]: %s\n", ret, strerror(ret));
+        DEBUG(SSSDBG_OP_FAILURE,
+              "Unable to setup periodical refreshof sudo rules [%d]: %s\n",
+              ret, sss_strerror(ret));
     }
 }
 
@@ -476,11 +479,11 @@ static void sdap_sudo_reply(struct tevent_req *req)
 
     talloc_zfree(req);
     if (ret != EOK) {
-        sdap_handler_done(be_req, DP_ERR_FATAL, ret, strerror(ret));
+        sdap_handler_done(be_req, DP_ERR_FATAL, ret, sss_strerror(ret));
         return;
     }
 
-    sdap_handler_done(be_req, dp_error, error, strerror(error));
+    sdap_handler_done(be_req, dp_error, error, sss_strerror(error));
 }
 
 void sdap_sudo_handler(struct be_req *be_req)
@@ -1025,21 +1028,22 @@ static void sdap_sudo_periodical_first_refresh_done(struct tevent_req *req)
     ret = sdap_sudo_timer_recv(req, req, &subreq);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "Sudo timer failed [%d]: %s\n", ret, strerror(ret));
+              "Sudo timer failed [%d]: %s\n", ret, sss_strerror(ret));
         goto schedule;
     }
 
     ret = sdap_sudo_full_refresh_recv(subreq, &dp_error, &error);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Periodical full refresh of sudo rules "
-                                  "failed [%d]: %s)\n", ret, strerror(ret));
+                                  "failed [%d]: %s)\n", ret,
+                                  sss_strerror(ret));
         goto schedule;
     }
 
     if (dp_error != DP_ERR_OK || error != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Periodical full refresh of sudo rules "
                                   "failed [dp_error: %d] ([%d]: %s)\n",
-                                  dp_error, error, strerror(error));
+                                  dp_error, error, sss_strerror(error));
         goto schedule;
     }
 
@@ -1127,21 +1131,22 @@ static void sdap_sudo_periodical_full_refresh_done(struct tevent_req *req)
     ret = sdap_sudo_timer_recv(req, req, &subreq);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "Sudo timer failed [%d]: %s\n", ret, strerror(ret));
+              "Sudo timer failed [%d]: %s\n", ret, sss_strerror(ret));
         goto schedule;
     }
 
     ret = sdap_sudo_full_refresh_recv(subreq, &dp_error, &error);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, "Periodical full refresh of sudo rules "
-                                  "failed [%d]: %s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_OP_FAILURE,
+              "Periodical full refresh of sudo rules failed [%d]: %s)\n",
+              ret, sss_strerror(ret));
         goto schedule;
     }
 
     if (dp_error != DP_ERR_OK || error != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Periodical full refresh of sudo rules "
                                   "failed [dp_error: %d] ([%d]: %s)\n",
-                                  dp_error, error, strerror(error));
+                                  dp_error, error, sss_strerror(error));
         goto schedule;
     }
 
@@ -1176,20 +1181,20 @@ static void sdap_sudo_periodical_smart_refresh_done(struct tevent_req *req)
     ret = sdap_sudo_timer_recv(req, req, &subreq);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "Sudo timer failed [%d]: %s\n", ret, strerror(ret));
+              "Sudo timer failed [%d]: %s\n", ret, sss_strerror(ret));
         goto schedule;
     }
 
     ret = sdap_sudo_smart_refresh_recv(subreq, &dp_error, &error);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Periodical smart refresh of sudo rules "
-                                  "failed [%d]: %s\n", ret, strerror(ret));
+                                  "failed [%d]: %s\n", ret, sss_strerror(ret));
     }
 
     if (dp_error != DP_ERR_OK || error != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Periodical smart refresh of sudo rules "
                                   "failed [dp_error: %d] ([%d]: %s)\n",
-                                  dp_error, error, strerror(error));
+                                  dp_error, error, sss_strerror(error));
         goto schedule;
     }
 
diff --git a/src/providers/ldap/sdap_sudo_cache.c b/src/providers/ldap/sdap_sudo_cache.c
index 27203c2..41363a1 100644
--- a/src/providers/ldap/sdap_sudo_cache.c
+++ b/src/providers/ldap/sdap_sudo_cache.c
@@ -41,7 +41,7 @@ static errno_t sdap_sudo_get_usn(TALLOC_CTX *mem_ctx,
     ret = sysdb_attrs_get_string(attrs, map[SDAP_AT_SUDO_USN].sys_name, &usn);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              "Failed to retrieve USN value: [%s]\n", strerror(ret));
+              "Failed to retrieve USN value: [%s]\n", sss_strerror(ret));
 
         return ret;
     }
@@ -74,7 +74,7 @@ sdap_save_native_sudorule(TALLOC_CTX *mem_ctx,
         return ret;
     } else if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Could not get rule name [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         return ret;
     }
 
@@ -82,7 +82,7 @@ sdap_save_native_sudorule(TALLOC_CTX *mem_ctx,
                                  (cache_timeout ? (now + cache_timeout) : 0));
     if (ret) {
         DEBUG(SSSDBG_OP_FAILURE, "Could not set sysdb cache expire [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         return ret;
     }
 
diff --git a/src/providers/ldap/sdap_utils.c b/src/providers/ldap/sdap_utils.c
index 93a1faa..e7b9f59 100644
--- a/src/providers/ldap/sdap_utils.c
+++ b/src/providers/ldap/sdap_utils.c
@@ -40,7 +40,7 @@ sdap_attrs_add_ldap_attr(struct sysdb_attrs *ldap_attrs,
     if (ret) {
         DEBUG(SSSDBG_OP_FAILURE, "Could not get %s from the "
               "list of the LDAP attributes [%d]: %s\n",
-              attr_name, ret, strerror(ret));
+              attr_name, ret, sss_strerror(ret));
         return ret;
     }
 
diff --git a/src/providers/proxy/proxy_auth.c b/src/providers/proxy/proxy_auth.c
index a901f0f..1165645 100644
--- a/src/providers/proxy/proxy_auth.c
+++ b/src/providers/proxy/proxy_auth.c
@@ -786,7 +786,7 @@ static void proxy_child_done(struct tevent_req *req)
         /* so we just log it any return */
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE, "Failed to cache password (%d)[%s]!?\n",
-                      ret, strerror(ret));
+                      ret, sss_strerror(ret));
         }
     }
 
diff --git a/src/providers/proxy/proxy_child.c b/src/providers/proxy/proxy_child.c
index 6bee1c7..99a28d3 100644
--- a/src/providers/proxy/proxy_child.c
+++ b/src/providers/proxy/proxy_child.c
@@ -573,7 +573,7 @@ int main(int argc, const char *argv[])
                             CONFDB_PROXY_PAM_TARGET, NULL, &pam_target);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE, "Error reading from confdb (%d) [%s]\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         return 4;
     }
     if (pam_target == NULL) {
diff --git a/src/providers/proxy/proxy_id.c b/src/providers/proxy/proxy_id.c
index d867ec4..45c8518 100644
--- a/src/providers/proxy/proxy_id.c
+++ b/src/providers/proxy/proxy_id.c
@@ -83,7 +83,7 @@ static int get_pw_name(struct proxy_id_ctx *ctx,
     ret = handle_getpw_result(status, pwd, dom, &del_user);
     if (ret) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "getpwnam failed [%d]: %s\n", ret, strerror(ret));
+              "getpwnam failed [%d]: %s\n", ret, sss_strerror(ret));
         goto done;
     }
 
@@ -101,7 +101,7 @@ static int get_pw_name(struct proxy_id_ctx *ctx,
         if (ret != EOK) {
             /* Non-fatal, attempt to canonicalize online */
             DEBUG(SSSDBG_TRACE_FUNC, "Request to cache failed [%d]: %s\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         }
 
         if (ret == EOK && cached_pwd->count == 1) {
@@ -120,7 +120,7 @@ static int get_pw_name(struct proxy_id_ctx *ctx,
         ret = handle_getpw_result(status, pwd, dom, &del_user);
         if (ret) {
             DEBUG(SSSDBG_OP_FAILURE,
-                "getpwuid failed [%d]: %s\n", ret, strerror(ret));
+                "getpwuid failed [%d]: %s\n", ret, sss_strerror(ret));
             goto done;
         }
 
@@ -141,7 +141,7 @@ done:
     if (ret) {
         DEBUG(SSSDBG_OP_FAILURE,
               "proxy -> getpwnam_r failed for '%s' <%d>: %s\n",
-               name, ret, strerror(ret));
+               name, ret, sss_strerror(ret));
     }
     return ret;
 }
@@ -327,7 +327,7 @@ static int get_pw_uid(struct proxy_id_ctx *ctx,
     ret = handle_getpw_result(status, pwd, dom, &del_user);
     if (ret) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "getpwuid failed [%d]: %s\n", ret, strerror(ret));
+              "getpwuid failed [%d]: %s\n", ret, sss_strerror(ret));
         goto done;
     }
 
@@ -344,7 +344,7 @@ done:
     if (ret) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "proxy -> getpwuid_r failed for '%"SPRIuid"' <%d>: %s\n",
-               uid, ret, strerror(ret));
+               uid, ret, sss_strerror(ret));
     }
     return ret;
 }
@@ -478,7 +478,7 @@ static int enum_users(TALLOC_CTX *mem_ctx,
             default:
                 ret = EIO;
                 DEBUG(SSSDBG_OP_FAILURE, "proxy -> getpwent_r failed (%d)[%s]"
-                            "\n", ret, strerror(ret));
+                            "\n", ret, sss_strerror(ret));
                 break;
         }
     } while (again);
@@ -619,7 +619,7 @@ static int save_group(struct sysdb_ctx *sysdb, struct sss_domain_info *dom,
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Could not commit transaction: [%s]\n",
-               strerror(ret));
+               sss_strerror(ret));
         goto done;
     }
     in_transaction = false;
@@ -671,14 +671,14 @@ static errno_t proxy_process_missing_users(struct sysdb_ctx *sysdb,
             if (ret != EOK) {
                 DEBUG(SSSDBG_MINOR_FAILURE,
                       "Cannot store ghost user entry: [%d]: %s\n",
-                       ret, strerror(ret));
+                       ret, sss_strerror(ret));
                 goto done;
             }
         } else {
             /* Unexpected error */
             DEBUG(SSSDBG_MINOR_FAILURE,
                   "Error searching cache for user [%s]: [%s]\n",
-                   grp->gr_mem[i], strerror(ret));
+                   grp->gr_mem[i], sss_strerror(ret));
             goto done;
         }
     }
@@ -805,7 +805,7 @@ static int get_gr_name(struct proxy_id_ctx *ctx,
 
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "getgrnam failed [%d]: %s\n", ret, strerror(ret));
+              "getgrnam failed [%d]: %s\n", ret, sss_strerror(ret));
         goto done;
     }
 
@@ -817,7 +817,7 @@ static int get_gr_name(struct proxy_id_ctx *ctx,
         if (ret != EOK) {
             /* Non-fatal, attempt to canonicalize online */
             DEBUG(SSSDBG_TRACE_FUNC, "Request to cache failed [%d]: %s\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         }
 
         if (ret == EOK && cached_grp->count == 1) {
@@ -848,7 +848,7 @@ static int get_gr_name(struct proxy_id_ctx *ctx,
 
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
-                "getgrgid failed [%d]: %s\n", ret, strerror(ret));
+                "getgrgid failed [%d]: %s\n", ret, sss_strerror(ret));
             goto done;
         }
 
@@ -870,7 +870,7 @@ static int get_gr_name(struct proxy_id_ctx *ctx,
     ret = save_group(sysdb, dom, grp, real_name, name, dom->group_timeout);
     if (ret) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "Cannot save group [%d]: %s\n", ret, strerror(ret));
+              "Cannot save group [%d]: %s\n", ret, sss_strerror(ret));
         goto done;
     }
 
@@ -879,7 +879,7 @@ done:
     if (ret) {
         DEBUG(SSSDBG_OP_FAILURE,
               "proxy -> getgrnam_r failed for '%s' <%d>: %s\n",
-              name, ret, strerror(ret));
+              name, ret, sss_strerror(ret));
     }
     return ret;
 }
@@ -929,7 +929,7 @@ static int get_gr_gid(TALLOC_CTX *mem_ctx,
 
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "getgrgid failed [%d]: %s\n", ret, strerror(ret));
+              "getgrgid failed [%d]: %s\n", ret, sss_strerror(ret));
         goto done;
     }
 
@@ -948,7 +948,7 @@ static int get_gr_gid(TALLOC_CTX *mem_ctx,
     ret = save_group(sysdb, dom, grp, grp->gr_name, NULL, dom->group_timeout);
     if (ret) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "Cannot save user [%d]: %s\n", ret, strerror(ret));
+              "Cannot save user [%d]: %s\n", ret, sss_strerror(ret));
         goto done;
     }
 
@@ -957,7 +957,7 @@ done:
     if (ret) {
         DEBUG(SSSDBG_OP_FAILURE,
               "proxy -> getgrgid_r failed for '%"SPRIgid"' <%d>: %s\n",
-               gid, ret, strerror(ret));
+               gid, ret, sss_strerror(ret));
     }
     return ret;
 }
@@ -1165,7 +1165,7 @@ static int get_initgr(TALLOC_CTX *mem_ctx,
     ret = handle_getpw_result(status, pwd, dom, &del_user);
     if (ret) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "getpwnam failed [%d]: %s\n", ret, strerror(ret));
+              "getpwnam failed [%d]: %s\n", ret, sss_strerror(ret));
         goto fail;
     }
 
@@ -1187,7 +1187,7 @@ static int get_initgr(TALLOC_CTX *mem_ctx,
         if (ret != EOK) {
             /* Non-fatal, attempt to canonicalize online */
             DEBUG(SSSDBG_TRACE_FUNC, "Request to cache failed [%d]: %s\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         }
 
         if (ret == EOK && cached_pwd->count == 1) {
@@ -1206,7 +1206,7 @@ static int get_initgr(TALLOC_CTX *mem_ctx,
         ret = handle_getpw_result(status, pwd, dom, &del_user);
         if (ret) {
             DEBUG(SSSDBG_OP_FAILURE,
-                "getpwuid failed [%d]: %s\n", ret, strerror(ret));
+                "getpwuid failed [%d]: %s\n", ret, sss_strerror(ret));
             goto done;
         }
 
@@ -1331,7 +1331,7 @@ static int get_initgr_groups_process(TALLOC_CTX *memctx,
 
     default:
         DEBUG(SSSDBG_OP_FAILURE, "proxy -> initgroups_dyn failed (%d)[%s]\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         ret = EIO;
         break;
     }
diff --git a/src/providers/proxy/proxy_services.c b/src/providers/proxy/proxy_services.c
index 16e90b0..3449655 100644
--- a/src/providers/proxy/proxy_services.c
+++ b/src/providers/proxy/proxy_services.c
@@ -301,7 +301,7 @@ enum_services(struct proxy_id_ctx *ctx,
                      * Just report the failure to save and go on */
                     DEBUG(SSSDBG_OP_FAILURE,
                             "Failed to store service [%s]. Ignoring.\n",
-                             strerror(ret));
+                             sss_strerror(ret));
                     again = true;
                     break;
                 }
@@ -319,7 +319,7 @@ enum_services(struct proxy_id_ctx *ctx,
                      * Just report the failure to save and go on */
                     DEBUG(SSSDBG_OP_FAILURE,
                             "Failed to store service [%s]. Ignoring.\n",
-                             strerror(ret));
+                             sss_strerror(ret));
                 }
                 again = true;
                 break;
@@ -345,7 +345,7 @@ done:
         if (sret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE,
                   "Could not cancel transaction! [%s]\n",
-                   strerror(sret));
+                   sss_strerror(sret));
         }
     }
     ctx->ops.endservent();
diff --git a/src/python/pysss.c b/src/python/pysss.c
index 668d77c..b21d998 100644
--- a/src/python/pysss.c
+++ b/src/python/pysss.c
@@ -89,7 +89,7 @@ static void PyErr_SetSssErrorWithMessage(int ret, const char *message)
 
 static void PyErr_SetSssError(int ret)
 {
-    PyErr_SetSssErrorWithMessage(ret, strerror(ret));
+    PyErr_SetSssErrorWithMessage(ret, sss_strerror(ret));
 }
 
 /*
diff --git a/src/resolv/async_resolv.c b/src/resolv/async_resolv.c
index f936124..4410856 100644
--- a/src/resolv/async_resolv.c
+++ b/src/resolv/async_resolv.c
@@ -1366,7 +1366,7 @@ resolv_gethostbyname_done(struct tevent_req *subreq)
 
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "querying hosts database failed [%d]: %s\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         tevent_req_error(req, ret);
         return;
     }
@@ -2207,7 +2207,7 @@ resolv_sort_srv_reply(struct ares_srv_reply **reply)
         if (ret) {
             DEBUG(SSSDBG_CRIT_FAILURE,
                   "Error rearranging priority level [%d]: %s\n",
-                      ret, strerror(ret));
+                      ret, sss_strerror(ret));
             return ret;
         }
 
diff --git a/src/resolv/async_resolv_utils.c b/src/resolv/async_resolv_utils.c
index c5ae5f9..362ae78 100644
--- a/src/resolv/async_resolv_utils.c
+++ b/src/resolv/async_resolv_utils.c
@@ -112,7 +112,7 @@ static void resolv_get_domain_done(struct tevent_req *subreq)
         DEBUG(SSSDBG_OP_FAILURE,
               "Could not get fully qualified name for host name %s "
                "error [%d]: %s, resolver returned: [%d]: %s\n",
-               state->hostname, ret, strerror(ret), resolv_status,
+               state->hostname, ret, sss_strerror(ret), resolv_status,
                resolv_strerror(resolv_status));
         state->fqdn = state->hostname;
     } else {
diff --git a/src/responder/autofs/autofssrv.c b/src/responder/autofs/autofssrv.c
index bd5aa13..7210c78 100644
--- a/src/responder/autofs/autofssrv.c
+++ b/src/responder/autofs/autofssrv.c
@@ -66,7 +66,7 @@ autofs_get_config(struct autofs_ctx *actx,
                          &actx->neg_timeout);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Cannot read %s from configuration [%d]: %s\n",
-              CONFDB_AUTOFS_MAP_NEG_TIMEOUT, ret, strerror(ret));
+              CONFDB_AUTOFS_MAP_NEG_TIMEOUT, ret, sss_strerror(ret));
         return ret;
     }
 
diff --git a/src/responder/autofs/autofssrv_cmd.c b/src/responder/autofs/autofssrv_cmd.c
index 4c9f5cf..11721d2 100644
--- a/src/responder/autofs/autofssrv_cmd.c
+++ b/src/responder/autofs/autofssrv_cmd.c
@@ -583,7 +583,7 @@ setautomntent_send(TALLOC_CTX *mem_ctx,
     } else {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Unexpected error from get_autofs_map [%d]: %s\n",
-               ret, strerror(ret));
+               ret, sss_strerror(ret));
         goto fail;
     }
 
@@ -702,7 +702,7 @@ lookup_automntmap_step(struct setautomntent_lookup_ctx *lookup_ctx)
             } else if (ret != EOK) {
                 DEBUG(SSSDBG_OP_FAILURE,
                       "Error looking up automount maps [%d]: %s\n",
-                       ret, strerror(ret));
+                       ret, sss_strerror(ret));
                 return ret;
             }
         }
@@ -716,7 +716,7 @@ lookup_automntmap_step(struct setautomntent_lookup_ctx *lookup_ctx)
         if (ret != EOK && ret != ENOENT) {
             DEBUG(SSSDBG_OP_FAILURE,
                   "Error looking automount map entries [%d]: %s\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
             map->ready = true;
             map->found = false;
             set_autofs_map_lifetime(lookup_ctx->actx->neg_timeout, lookup_ctx, map);
@@ -986,7 +986,7 @@ sss_autofs_cmd_getautomntent(struct cli_ctx *client)
     } else if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
               "An unexpected error occurred: [%d][%s]\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         goto done;
     }
 
@@ -1285,7 +1285,7 @@ sss_autofs_cmd_getautomntbyname(struct cli_ctx *client)
     } else if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
               "An unexpected error occurred: [%d][%s]\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         goto done;
     }
 
diff --git a/src/responder/autofs/autofssrv_dp.c b/src/responder/autofs/autofssrv_dp.c
index 041f062..430a531 100644
--- a/src/responder/autofs/autofssrv_dp.c
+++ b/src/responder/autofs/autofssrv_dp.c
@@ -83,7 +83,7 @@ sss_dp_get_autofs_send(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
               "Could not issue DP request [%d]: %s\n",
-               ret, strerror(ret));
+               ret, sss_strerror(ret));
         goto error;
     }
 
diff --git a/src/responder/common/negcache.c b/src/responder/common/negcache.c
index 88dd18f..88664d3 100644
--- a/src/responder/common/negcache.c
+++ b/src/responder/common/negcache.c
@@ -650,7 +650,7 @@ errno_t sss_ncache_prepopulate(struct sss_nc_ctx *ncache,
                 DEBUG(SSSDBG_CRIT_FAILURE,
                       "Failed to store permanent user filter for [%s]"
                           " (%d [%s])\n", filter_list[i],
-                          ret, strerror(ret));
+                          ret, sss_strerror(ret));
                 continue;
             }
         }
@@ -698,7 +698,7 @@ errno_t sss_ncache_prepopulate(struct sss_nc_ctx *ncache,
                 DEBUG(SSSDBG_CRIT_FAILURE,
                       "Failed to store permanent user filter for [%s]"
                           " (%d [%s])\n", filter_list[i],
-                          ret, strerror(ret));
+                          ret, sss_strerror(ret));
                 continue;
             }
         } else {
@@ -709,7 +709,7 @@ errno_t sss_ncache_prepopulate(struct sss_nc_ctx *ncache,
                          "Failed to store permanent user filter for"
                              " [%s:%s] (%d [%s])\n",
                              dom->name, filter_list[i],
-                             ret, strerror(ret));
+                             ret, sss_strerror(ret));
                     continue;
                 }
             }
@@ -754,7 +754,7 @@ errno_t sss_ncache_prepopulate(struct sss_nc_ctx *ncache,
                 DEBUG(SSSDBG_CRIT_FAILURE,
                       "Failed to store permanent group filter for [%s]"
                           " (%d [%s])\n", filter_list[i],
-                          ret, strerror(ret));
+                          ret, sss_strerror(ret));
                 continue;
             }
         }
@@ -802,7 +802,7 @@ errno_t sss_ncache_prepopulate(struct sss_nc_ctx *ncache,
                 DEBUG(SSSDBG_CRIT_FAILURE,
                       "Failed to store permanent group filter for"
                           " [%s] (%d [%s])\n", filter_list[i],
-                          ret, strerror(ret));
+                          ret, sss_strerror(ret));
                 continue;
             }
         } else {
@@ -813,7 +813,7 @@ errno_t sss_ncache_prepopulate(struct sss_nc_ctx *ncache,
                          "Failed to store permanent group filter for"
                              " [%s:%s] (%d [%s])\n",
                              dom->name, filter_list[i],
-                             ret, strerror(ret));
+                             ret, sss_strerror(ret));
                     continue;
                 }
             }
diff --git a/src/responder/common/responder_common.c b/src/responder/common/responder_common.c
index 2f9db70..c1df84d 100644
--- a/src/responder/common/responder_common.c
+++ b/src/responder/common/responder_common.c
@@ -175,7 +175,7 @@ errno_t csv_string_to_uid_array(TALLOC_CTX *mem_ctx, const char *cvs_string,
                              &list, &list_size);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "split_on_separator failed [%d][%s].\n",
-                                  ret, strerror(ret));
+                                  ret, sss_strerror(ret));
         goto done;
     }
 
@@ -804,7 +804,7 @@ int sss_process_init(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
               "Cannot get the client idle timeout [%d]: %s\n",
-               ret, strerror(ret));
+               ret, sss_strerror(ret));
         goto fail;
     }
 
@@ -819,7 +819,7 @@ int sss_process_init(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
               "Cannnot get the default domain timeout [%d]: %s\n",
-               ret, strerror(ret));
+               ret, sss_strerror(ret));
         goto fail;
     }
 
@@ -840,7 +840,7 @@ int sss_process_init(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
               "Cannnot get the default domain [%d]: %s\n",
-               ret, strerror(ret));
+               ret, sss_strerror(ret));
         goto fail;
     }
 
diff --git a/src/responder/common/responder_dp.c b/src/responder/common/responder_dp.c
index df7455c..0992dcd 100644
--- a/src/responder/common/responder_dp.c
+++ b/src/responder/common/responder_dp.c
@@ -502,7 +502,7 @@ sss_dp_get_account_send(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
               "Could not issue DP request [%d]: %s\n",
-               ret, strerror(ret));
+               ret, sss_strerror(ret));
         goto error;
     }
 
diff --git a/src/responder/common/responder_get_domains.c b/src/responder/common/responder_get_domains.c
index 1dbb9ea..72a1cb3 100644
--- a/src/responder/common/responder_get_domains.c
+++ b/src/responder/common/responder_get_domains.c
@@ -167,8 +167,9 @@ struct tevent_req *sss_dp_get_domains_send(TALLOC_CTX *mem_ctx,
                   "Last call was too recent, nothing to do!\n");
             goto immediately;
         } else if (ret != EAGAIN) {
-            DEBUG(SSSDBG_TRACE_FUNC, "check_domain_request failed with [%d][%s]\n",
-                                      ret, strerror(ret));
+            DEBUG(SSSDBG_TRACE_FUNC,
+                  "check_domain_request failed with [%d][%s]\n",
+                  ret, sss_strerror(ret));
             goto immediately;
         }
     }
diff --git a/src/responder/nss/nsssrv_cmd.c b/src/responder/nss/nsssrv_cmd.c
index c201d3a..5417ab1 100644
--- a/src/responder/nss/nsssrv_cmd.c
+++ b/src/responder/nss/nsssrv_cmd.c
@@ -152,7 +152,7 @@ void nss_update_pw_memcache(struct nss_ctx *nctx)
             if (ret != EOK && ret != ENOENT) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
                       "Internal failure in memory cache code: %d [%s]\n",
-                       ret, strerror(ret));
+                       ret, sss_strerror(ret));
             }
         }
 
@@ -688,7 +688,7 @@ static int delete_entry_from_memcache(struct sss_domain_info *dom, char *name,
     if (ret != EOK && ret != ENOENT) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Internal failure in memory cache code: %d [%s]\n",
-               ret, strerror(ret));
+               ret, sss_strerror(ret));
         goto done;
     }
 
@@ -2154,7 +2154,7 @@ static void nss_cmd_implicit_setpwent_done(struct tevent_req *req)
     if (ret != EOK && ret != ENOENT) {
         DEBUG(SSSDBG_FATAL_FAILURE,
               "Implicit setpwent failed with unexpected error [%d][%s]\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         NSS_CMD_FATAL_ERROR(cmdctx);
     }
 
@@ -2166,7 +2166,7 @@ static void nss_cmd_implicit_setpwent_done(struct tevent_req *req)
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
               "Immediate retrieval failed with unexpected error "
-                  "[%d][%s]\n", ret, strerror(ret));
+                  "[%d][%s]\n", ret, sss_strerror(ret));
         NSS_CMD_FATAL_ERROR(cmdctx);
     }
 }
@@ -2247,7 +2247,7 @@ void nss_update_gr_memcache(struct nss_ctx *nctx)
             if (ret != EOK && ret != ENOENT) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
                       "Internal failure in memory cache code: %d [%s]\n",
-                       ret, strerror(ret));
+                       ret, sss_strerror(ret));
             }
         }
         talloc_zfree(res);
@@ -3427,7 +3427,7 @@ static void nss_cmd_implicit_setgrent_done(struct tevent_req *req)
     if (ret != EOK && ret != ENOENT) {
         DEBUG(SSSDBG_FATAL_FAILURE,
               "Implicit setgrent failed with unexpected error [%d][%s]\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         NSS_CMD_FATAL_ERROR(cmdctx);
     }
 
@@ -3439,7 +3439,7 @@ static void nss_cmd_implicit_setgrent_done(struct tevent_req *req)
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
               "Immediate retrieval failed with unexpected error "
-                  "[%d][%s]\n", ret, strerror(ret));
+                  "[%d][%s]\n", ret, sss_strerror(ret));
         NSS_CMD_FATAL_ERROR(cmdctx);
     }
 }
@@ -3504,7 +3504,7 @@ void nss_update_initgr_memcache(struct nss_ctx *nctx,
     if (ret != EOK && ret != ENOENT) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Failed to make request to our cache! [%d][%s]\n",
-               ret, strerror(ret));
+               ret, sss_strerror(ret));
         goto done;
     }
 
@@ -3519,7 +3519,7 @@ void nss_update_initgr_memcache(struct nss_ctx *nctx,
         if (ret != EOK && ret != ENOENT) {
             DEBUG(SSSDBG_CRIT_FAILURE,
                   "Internal failure in memory cache code: %d [%s]\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         }
 
         /* Also invalidate his groups */
@@ -3566,7 +3566,7 @@ void nss_update_initgr_memcache(struct nss_ctx *nctx,
             if (ret != EOK && ret != ENOENT) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
                       "Internal failure in memory cache code: %d [%s]\n",
-                       ret, strerror(ret));
+                       ret, sss_strerror(ret));
             }
         }
     }
@@ -3749,7 +3749,7 @@ static int nss_cmd_initgroups_search(struct nss_dom_ctx *dctx)
         if (ret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE,
                   "Failed to make request to our cache! [%d][%s]\n",
-                      ret, strerror(ret));
+                      ret, sss_strerror(ret));
             return EIO;
         }
 
